Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-docs.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dockerfiles/Dockerfile.builder.onbuild2
-rwxr-xr-xscripts/minify-assets.sh10
2 files changed, 6 insertions, 6 deletions
diff --git a/dockerfiles/Dockerfile.builder.onbuild b/dockerfiles/Dockerfile.builder.onbuild
index 8abbf5a6..fd1877c0 100644
--- a/dockerfiles/Dockerfile.builder.onbuild
+++ b/dockerfiles/Dockerfile.builder.onbuild
@@ -29,7 +29,7 @@ ONBUILD RUN [ -f /scripts/normalize-links.sh ] && /scripts/normalize-links.sh /s
ONBUILD RUN [ -f /scripts/compress_images.sh ] && /scripts/compress_images.sh /site ${VER} || "/scripts/compress_images.sh not found"
# Minify assets
-ONBUILD RUN [ -f /scripts/minify ] && /scripts/minify ${VER} || "/scripts/minify not found"
+ONBUILD RUN [ -f /scripts/minify ] && /scripts/minify /site ${VER} || "/scripts/minify not found"
# Make an index.html and 404.html which will redirect / to /${VER}/
ONBUILD RUN echo "<html><head><title>Redirect for ${VER}</title><meta http-equiv=\"refresh\" content=\"0;url='/${VER}/'\" /></head><body><p>If you are not redirected automatically, click <a href=\"/${VER}/\">here</a>.</p></body></html>" > /site/index.html
diff --git a/scripts/minify-assets.sh b/scripts/minify-assets.sh
index 982aa650..f5408ad9 100755
--- a/scripts/minify-assets.sh
+++ b/scripts/minify-assets.sh
@@ -17,10 +17,10 @@ fi
# Minify assets
printf "Optimizing assets..."
-printf "HTML..."; /scripts/minify -r --type=html --match=\.html -o ${TARGET}/ ${TARGET} || true
-printf "CSS..." ; /scripts/minify -r --type=css --match=\.css -o ${TARGET}/ ${TARGET} || true
-printf "JSON..."; /scripts/minify -r --type=json --match=\.json -o ${TARGET}/ ${TARGET} || true
-printf "SVG..." ; /scripts/minify -r --type=svg --match=\.svg -o ${TARGET}/ ${TARGET} || true
-printf "XML..." ; /scripts/minify -r --type=xml --match=\.xml -o ${TARGET}/ ${TARGET} || true
+printf "HTML..."; /scripts/minify -r --type=html --match=\.html -o ${TARGET}/${VER}/ ${TARGET}/${VER} || true
+printf "CSS..." ; /scripts/minify -r --type=css --match=\.css -o ${TARGET}/${VER}/ ${TARGET}/${VER} || true
+printf "JSON..."; /scripts/minify -r --type=json --match=\.json -o ${TARGET}/${VER}/ ${TARGET}/${VER} || true
+printf "SVG..." ; /scripts/minify -r --type=svg --match=\.svg -o ${TARGET}/${VER}/ ${TARGET}/${VER} || true
+printf "XML..." ; /scripts/minify -r --type=xml --match=\.xml -o ${TARGET}/${VER}/ ${TARGET}/${VER} || true
echo "Done"